#include <stdio.h>
#include <conio.h>
//使用一个一维指针p调用num【2】【2】这个数组

int main()
{
	int num[2][2];
	int (*p)[2],j,i;
	clrscr();
	p=num;
	//用p指针对数组num赋值
	for (i=0;i<2;i++)
	{
		for (j=0;j<2;j++)
		{
			*(*(p+i)+j)=i*2+j+1;   //将数组分别赋值为1，2，3，4
		}
	}

	p=num;
	
	
	
	for (i=0;i<2;i++)
	{
		for (j=0;j<2;j++)
		{
			printf("%6d",*(*(p+i)+j));
		}
	}
	
	p=num;
	getch();
	return 0;
}
